## com.declarativa.interprolog.util
Class BasicTypeWrapper

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.BasicTypeWrapper

All Implemented Interfaces:
  Serializable

public class BasicTypeWrapper
extends Object
implements Serializable

A class used to serialize basic type values (int, boolean,...). Contains a basic type wrapper object which at the proper time will provide the basic type value. Useful to use Java methods whose arguments include basic types.

See Also:
  Serialized Form

Field Summary
`Object` `wrapper`

Constructor Summary
`BasicTypeWrapper(Object w)`

Method Summary
`Class` `basicTypeClass()`
`static boolean` `instanceOfWrapper(Object x)`
`String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### wrapper

    public Object wrapper

Constructor Detail

### BasicTypeWrapper

    public BasicTypeWrapper(Object w)

Method Detail

### basicTypeClass

    public Class basicTypeClass()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### instanceOfWrapper

    public static boolean instanceOfWrapper(Object x)